from datetime import datetime


def solve(s):
    dp = [list([0] * 5007) for _ in range(10007)]
    mod = int(1e9 + 7)
    ans = 0
    if len(s) % 2 == 1:
        return 0
    if s.find('?') == -1:
        return 0
    dp[0][0] = 1
    for i, x in enumerate(s):
        for j in range(min(i + 6, len(s) - i + 6)):
            dp[i][j] %= mod
            if x == '?':
                if j != 0:
                    dp[i + 1][j - 1] += dp[i][j]
                try:
                    dp[i + 1][j + 1] += dp[i][j]
                except Exception as e:
                    print(i, j)
            elif x == '(':
                dp[i + 1][j + 1] += dp[i][j]
            elif x == ')':
                if j != 0:
                    dp[i + 1][j - 1] += dp[i][j]
    return dp[len(s)][0] % mod


def solve_without_mod(s):
    dp = [list([0] * 5007) for _ in range(10001)]
    mod = int(1e9 + 7)
    ans = 0
    if len(s) % 2 == 1:
        return 0
    if s.find('?') == -1:
        return 0
    dp[0][0] = 1
    for i, x in enumerate(s):
        for j in range(min(i + 6, len(s) - i + 6)):
            if x == '?':
                if j != 0:
                    dp[i + 1][j - 1] += dp[i][j]
                try:
                    dp[i + 1][j + 1] += dp[i][j]
                except Exception as e:
                    print(i, j)
            elif x == '(':
                dp[i + 1][j + 1] += dp[i][j]
            elif x == ')':
                if j != 0:
                    dp[i + 1][j - 1] += dp[i][j]
    return dp[len(s)][0]

def main():
    # with open("input.txt", "r") as f:
    #     s = f.readline().strip()
    s = input()
    print(solve(s))

if __name__ == "__main__":
    main()