##########################################################################
### cbs.plugin.py
###

class Cbs(Task):

	id = 'CBS'
	tests = [
           Test(id='00', time=0.5, score=0, dat=None, chk=None),
	   Test(id='01', time=0.5, score=5, dat=None, chk=None),	   
	   Test(id='02', time=0.5, score=5, dat=None, chk=None),
           Test(id='03', time=0.5, score=5, dat=None, chk=None),
           Test(id='04', time=0.5, score=5, dat=None, chk=None),
#           Test(id='05', time=0.5, score=4, dat=None, chk=None),
           Test(id='06', time=0.5, score=4, dat=None, chk=None),
           Test(id='07', time=0.5, score=4, dat=None, chk=None),
           Test(id='08', time=0.5, score=4, dat=None, chk=None),
           Test(id='09', time=0.5, score=4, dat=None, chk=None),
           Test(id='10', time=0.5, score=4, dat=None, chk=None),
    	   Test(id='11', time=0.5, score=3, dat=None, chk=None),
           Test(id='12', time=0.5, score=3, dat=None, chk=None),
           Test(id='13', time=0.5, score=3, dat=None, chk=None),
           Test(id='14', time=0.5, score=3, dat=None, chk=None),
           Test(id='15', time=0.5, score=3, dat=None, chk=None),
           Test(id='16', time=0.8, score=3, dat=None, chk=None),
           Test(id='17', time=0.8, score=3, dat=None, chk=None),
           Test(id='18', time=0.8, score=3, dat=None, chk=None),
           Test(id='19', time=0.8, score=3, dat=None, chk=None),
	   Test(id='20', time=0.8, score=3, dat=None, chk=None),
	   Test(id='21', time=0.8, score=3, dat=None, chk=None),
           Test(id='22', time=0.8, score=3, dat=None, chk=None),
           Test(id='23', time=0.8, score=3, dat=None, chk=None),
           Test(id='24', time=0.8, score=3, dat=None, chk=None),
           Test(id='25', time=0.8, score=3, dat=None, chk=None),
	   Test(id='26', time=1.9, score=3, dat=None, chk=None),
	   Test(id='27', time=1.0, score=3, dat=None, chk=None),
           Test(id='28', time=1.0, score=3, dat=None, chk=None),
           Test(id='29', time=1.0, score=3, dat=None, chk=None), 
           Test(id='30', time=1.0, score=3, dat=None, chk=None),
	

 
 
	]

	def load_dat(self, stream):
		encoded = stream.readline().strip()
		return Dat(encoded=encoded)

	def load_chk(self, stream):
		decoded = stream.readline().strip()
		return Chk(decoded=decoded)

	def write_input(self, dat):
		self.write_raw_line(dat.encoded)

	def read_output(self, dat):
		decoded = self.read_raw_line()
		return Sol(decoded=decoded)

###
### EOF
##########################################################################
