/* GCC */

#include <stdio.h>
#include <algorithm>
#include <vector>

using namespace std;

int n;
vector<int> all; //     
pair<int, int> p[2]; // p[i]        i- 

//  howMany         from  to
//      (     from   ,
//   from+1      . .).
void swapSmallest(vector<int>::iterator from, vector<int>::iterator to, int howMany)
{
    for (int i = 0; i < howMany; i++)
        iter_swap(from + i, min_element(from + i, to));
}

// ,    number n-    
//  first    second.
inline bool belongsToProgression(int number, int first, int second, int n)
{
    int d = second - first, cur = number - first;
    return cur >= 0 && cur % d == 0 && cur / d < n;
}

//  test        ,   
//   (   )    first,    second.
//      ,  true,   false.  
//     p       .
bool test(int first, int second)
{
    vector<int> leftovers; // ,       
    for (int i = 0; i < all.size(); i++)
        if (! belongsToProgression(all[i], first, second, n))
        { //       ,     :
            leftovers.push_back(all[i]);
            if (leftovers.size() > n) // ó  :   
                return false;         //    n 
        }
    //      ,      ,   
    // leftovers  n .  ,    .
    swapSmallest(leftovers.begin(), leftovers.end(), 2); //    
    for (int i = 2; i < n; i++)
        if (! belongsToProgression(leftovers[i], leftovers[0], leftovers[1], n))
            return false; //           
                          // ,    
    //     ,   .    :
    p[0] = make_pair(first, second);
    p[1] = make_pair(leftovers[0], leftovers[1]);
    return true;
}

int main()
{
//    freopen("stamps.in", "r", stdin);
//    freopen("stamps.out", "w", stdout);

    //  :
    scanf("%d", &n);
    for (int i = 0; i < 2 * n; i++)
    {
        int t;
        scanf("%d", &t);
        all.push_back(t);
    }

    //       :
    swapSmallest(all.begin(), all.end(), 3);

    //     ,      
    //          ( || ,
    //         ):
    test(all[0], all[1]) || test(all[0], all[2]) || test(all[1], all[2]);

    if (p[0].first > p[1].first) //    
        swap(p[0], p[1]);

    //  :
    for (int i = 0; i < 2; i++)
        for (int j = 0; j < n; j++)
            printf(j < n - 1 ? "%d " : "%d\n", p[i].first + j * (p[i].second - p[i].first));

    return 0;
}
