
class Macrohard(Task):

    id = 'MACROHARD'
    tests = [
        Test(id='00', time=0.1, score=0, dat=None, chk=None),
        Test(id='000', time=0.1, score=0, dat=None, chk=None),
        Test(id='01', time=0.1, score=4, dat=None, chk=None),
        Test(id='02', time=0.1, score=4, dat=None, chk=None),
        Test(id='03', time=0.1, score=4, dat=None, chk=None),
        Test(id='04', time=0.1, score=4, dat=None, chk=None),
        Test(id='05', time=0.1, score=4, dat=None, chk=None),
        Test(id='06', time=0.1, score=4, dat=None, chk=None),
        Test(id='07', time=0.1, score=4, dat=None, chk=None),
        Test(id='08', time=0.1, score=4, dat=None, chk=None),
        Test(id='09', time=0.1, score=4, dat=None, chk=None),
        Test(id='10', time=0.1, score=4, dat=None, chk=None),
        Test(id='11', time=0.1, score=4, dat=None, chk=None),
        Test(id='12', time=0.1, score=4, dat=None, chk=None),
        Test(id='13', time=0.1, score=4, dat=None, chk=None),
        Test(id='14', time=0.1, score=4, dat=None, chk=None),
        Test(id='15', time=0.1, score=4, dat=None, chk=None),
        Test(id='16', time=0.1, score=4, dat=None, chk=None),
        Test(id='17', time=0.1, score=4, dat=None, chk=None),
        Test(id='18', time=0.1, score=4, dat=None, chk=None),
        Test(id='19', time=0.1, score=4, dat=None, chk=None),
        Test(id='20', time=0.1, score=4, dat=None, chk=None),
        Test(id='21', time=0.1, score=4, dat=None, chk=None),
        Test(id='22', time=0.1, score=4, dat=None, chk=None),
        Test(id='23', time=0.1, score=4, dat=None, chk=None),
        Test(id='24', time=0.1, score=4, dat=None, chk=None),
        Test(id='25', time=0.1, score=4, dat=None, chk=None),    

    ]

    def load_dat(self, stream):
        N = int(stream.readline())
        numbers = []
        for k in range(N):
            a, b = map(int, stream.readline().split())
            numbers.append((a, b))
        return Dat(numbers=numbers)

    def load_chk(self, stream):
        X = long(stream.readline())
        return Chk(X=X)

    def write_input(self, dat):
        self.write_line(len(dat.numbers))
        for a, b in dat.numbers:
            self.write_line(a, b)

    def read_output(self, dat):
        X = self.read_line(long)
        return Chk(X=X)
