################### ##########################
### stamps.plugin.py
###

class Stamps(Task):

    id = 'STAMPS'
    tests = [
	   Test(id='00', time=0.05, score=0, dat=None, chk=None), 
   	   Test(id='01', time=0.05, score=5, dat=None, chk=None),
	   Test(id='02', time=0.05, score=5, dat=None, chk=None),
           Test(id='03', time=0.05, score=5, dat=None, chk=None),
           Test(id='04', time=0.05, score=5, dat=None, chk=None), 
           Test(id='05', time=0.05, score=5, dat=None, chk=None),
           Test(id='06', time=0.05, score=5, dat=None, chk=None),
           Test(id='07', time=0.05, score=5, dat=None, chk=None),
           Test(id='08', time=0.05, score=5, dat=None, chk=None),
           Test(id='09', time=0.05, score=5, dat=None, chk=None),
           Test(id='10', time=0.05, score=5, dat=None, chk=None),
    	   Test(id='11', time=0.05, score=5, dat=None, chk=None),
           Test(id='12', time=0.05, score=5, dat=None, chk=None),
           Test(id='13', time=0.1, score=5, dat=None, chk=None),
           Test(id='14', time=0.1, score=5, dat=None, chk=None),
           Test(id='15', time=0.2, score=5, dat=None, chk=None),
           Test(id='16', time=0.2, score=5, dat=None, chk=None),
           Test(id='17', time=0.2, score=5, dat=None, chk=None),
           Test(id='18', time=0.6, score=5, dat=None, chk=None),
           Test(id='19', time=0.6, score=5, dat=None, chk=None),
	   Test(id='20', time=0.8, score=5, dat=None, chk=None),
	        
 ]

    def load_dat(self, stream):
        n = long(stream.readline())
        ks = map(long, stream.readline().split())
        return Dat(n=n, ks=ks)

    def load_chk(self, stream):
        xs = map(long, stream.readline().split())
        ys = map(long, stream.readline().split())
        return Chk(xs=xs, ys=ys)

    def write_input(self, dat):
        self.write_line(dat.n)
        self.write_line(*dat.ks)

    def read_output(self, dat):
        try:
            xs = map(long, self.read_raw_line().split())
            ys = map(long, self.read_raw_line().split())
        except ValueError:
            self.break_BD()
        return Sol(xs=xs, ys=ys)

###
### EOF
##########################################################################
